POST api/v1/tasks/{taskId}/time
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| taskId | string |
Required |
Body Parameters
LogTimeRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
None. |
|
| hours | integer |
None. |
|
| minutes | integer |
None. |
|
| description | string |
None. |
|
| isBillable | boolean |
None. |
|
| userEmail | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-09-12T18:59:04.9127094+05:30",
"hours": 2,
"minutes": 3,
"description": "sample string 4",
"isBillable": true,
"userEmail": "sample string 6"
}
application/xml, text/xml
Sample:
<LogTimeRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SpmNew.WebApi.Models"> <date>2026-09-12T18:59:04.9127094+05:30</date> <description>sample string 4</description> <hours>2</hours> <isBillable>true</isBillable> <minutes>3</minutes> <userEmail>sample string 6</userEmail> </LogTimeRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.